[Pkg-lustre-svn-commit] updated: [e816b24] Fix some bashisms by switching the interpreter from sh to bash (Closes: #530134)

Patrick Winnertz winnie at debian.org
Thu Mar 4 07:37:01 UTC 2010


The following commit has been merged in the master branch:
commit e816b241b7c1f3bd229b9f61b40385ed85bef008
Author: Patrick Winnertz <winnie at debian.org>
Date:   Thu Mar 4 08:33:51 2010 +0100

    Fix some bashisms by switching the interpreter from sh to bash (Closes: #530134)
    
    Signed-off-by: Patrick Winnertz <winnie at debian.org>

diff --git a/debian/patches/00list b/debian/patches/00list
index 584bc3a..5844aa0 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -29,3 +29,4 @@ fix_various_typecasts.dpatch
 #build-fixes-for_2.6.18_servers.dpatch
 autogen-run.dpatch
 no-strict-aliasing.dpatch
+fix_bashisms_for_dash.dpatch
diff --git a/debian/patches/fix_bashisms_for_dash.dpatch b/debian/patches/fix_bashisms_for_dash.dpatch
new file mode 100644
index 0000000..effd562
--- /dev/null
+++ b/debian/patches/fix_bashisms_for_dash.dpatch
@@ -0,0 +1,37 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## remove-set_tunables.dpatch by Patrick Winnertz <winnie at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: fix some bashisms by switching the interpreter from sh to bash
+
+ at DPATCH@
+diff --git a/lustre/tests/llog-test.sh b/lustre/tests/llog-test.sh
+index 1de2b4f..e5bbd3d 100644
+--- a/lustre/tests/llog-test.sh
++++ b/lustre/tests/llog-test.sh
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/bin/bash
+ 
+ set -e
+ 
+diff --git a/lustre/tests/mdsrate-stat-large.sh b/lustre/tests/mdsrate-stat-large.sh
+index 730eb01..5974e39 100644
+--- a/lustre/tests/mdsrate-stat-large.sh
++++ b/lustre/tests/mdsrate-stat-large.sh
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/bin/bash
+ #
+ # This test was used in a set of CMD3 tests (cmd3-8 test).
+ 
+diff --git a/lustre/tests/rundbench b/lustre/tests/rundbench
+index ad938da..ab9f236 100755
+--- a/lustre/tests/rundbench
++++ b/lustre/tests/rundbench
+@@ -1,4 +1,4 @@
+-#!/bin/sh
++#!/bin/bash
+ 
+ LUSTRE=${LUSTRE:-$(cd $(dirname $0)/..; echo $PWD)}
+ . $LUSTRE/tests/test-framework.sh

-- 
Lustre Debian Packaging 



More information about the Pkg-lustre-svn-commit mailing list